#全局块
#user  nobody;
worker_processes  1;

#event块
events {
    worker_connections  1024;
}
#http块
http {
    #http全局块

	sendfile on;
	tcp_nopush on;
	types_hash_max_size 2048;
	# server_tokens off;

	# server_names_hash_bucket_size 64;
	# server_name_in_redirect off;

	include /etc/nginx/mime.types;
	default_type application/octet-stream;

    #server块
    server {
        listen 8080;
        server_name 0.0.0.0;
        location / {
            root /usr/share/nginx/html;
            try_files $uri $uri/ /index.html;
        }
        
        #Static File Caching. All static files with the following extension will be cached for 1 day
        location ~* .(jpg|jpeg|png|gif|ico|css|js)$ {
          expires 1d;
        }
    }

}
